/usr/sbin/amcrypt is in amanda-common 1:3.3.6-4.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 | #!/bin/bash
#
# Original wrapper by Paul Bijnens
#
# worked by Stefan G. Weichinger
# to enable gpg-encrypted dumps via aespipe
# also worked by Matthieu Lochegnies for server-side encryption
prefix="/usr"
exec_prefix="${prefix}"
sbindir="/usr/sbin"
amlibexecdir="/usr/lib/amanda"
. "${amlibexecdir}/amanda-sh-lib.sh"
# add sbin and ucb dirs, as well as csw (blastwave)
PATH="$PATH:/usr/sbin:/sbin:/usr/ucb:/opt/csw/bin"
export PATH
AMANDA_HOME=~backup
AM_AESPIPE=/usr/sbin/amaespipe
AM_PASSPHRASE=$AMANDA_HOME/.am_passphrase
AESPIPE=`which aespipe`
if [ $? -ne 0 ] ; then
echo `_ '%s: %s was not found in %s' "$0" "aespipe" "$PATH"` >&2
exit 2
fi
if [ ! -x $AESPIPE ] ; then
echo `_ '%s: %s is not executable' "$0" "aespipe"` >&2
exit 2
fi
if [ ! -x $AM_AESPIPE ] ; then
echo `_ '%s: %s was not found' "$0" "$AM_AESPIPE"` >&2
exit 2
fi
if [ ! -x $AM_AESPIPE ] ; then
echo `_ '%s: %s is not executable' "$0" "$AM_AESPIPE"` >&2
exit 2
fi
$AM_AESPIPE "$@" 3< $AM_PASSPHRASE
rc=$?
exit $rc
|